<!-- <canvas id="canvas" style="width:100%; height:100%;position:absolute;
      left:0;
      top:0;
      z-index:-1;"></canvas><br> -->
<div id="snowflake-container" class="container-fluid">
    <div class="row d-flex justify-content-center">
        <img id="img-spae" src="/images/sfae.png" alt="Speak friend and enter...">
    </div>
    <form action="/exam/run/new" method="POST">
        <div class="row justify-content-center">
            <div class="input-group mb-3" style="max-width: 500px;">
                <input id="txtExamPassword" type="text" name="password" class="form-control" placeholder="Password..." autofocus="True">
                <div class="input-group-append">
                    <button class="btn btn-outline-success" type="submit"><i class="fas fa-play-circle"></i>&nbsp;
                        <span class="d-none d-md-inline">Start exam</span>
                    </button>
                </div>
            </div>
            <% if (locals.errMessage) { %>
            <div class="alert alert-danger text-center">
                <%=  errMessage %>
            </div>
            <% }%>
        </div>
        <% if (course.is_competitive === true) { %>
        <div class="row justify-content-center">
            <div class="col-6">
                <input type="text" class="form-control" name="username" placeholder="Username">
            </div>
        </div>
        <% }%>
    </form>
    <br>
    <% if (locals.ysnp) { %>
    <video poster="/images/ysnp.jpg" id="bgvid" playsinline="" autoplay="" muted="" loop="">
        <source src="/videos/ysnp.webm" type="video/webm">
        <source src="/videos/ysnp.mp4" type="video/mp4">
    </video>
    <% } %>
    <% if (locals.unsubmittedTests && locals.unsubmittedTests.rows.length) { %>
        <div style="width: 90%; margin: auto;" class="mt-5">
            <h3>You have unsubmitted private exams:</h3>
            <% locals.tabledata = unsubmittedTests; locals.tabledata.class = 'table table-sm table-hover edgar no-dt'; %>
            <%- include(`${locals.partialsRoot}/table`) %>
        </div>    
    <% } %>

<%  if (locals.unresolvedTickets) { %>
    <div style="width: 70%; margin: auto;" class="mt-5 pt-5">
        <details>
            <summary class="text-danger">This course has <%=unresolvedTicketsCnt%> unresolved tickets, click for details...</summary>
            <ul class="list-group">
                <%  for (let i = 0; i < locals.unresolvedTickets.length; i++) { %>
                <li class="list-group-item d-flex justify-content-between align-items-center">
                    <%if (unresolvedTickets[i].type === 'exam') {%>
                        <a href="/ticket/test/<%=unresolvedTickets[i].id%>"
                            target="_blank">Exam: <%=unresolvedTickets[i].title%>
                        </a>
                        <span class="badge badge-primary badge-pill"><%= unresolvedTickets[i].cnt %></span>
                    <%} else {%>
                        <a href="/tutorial/ticket/tutorial/<%=unresolvedTickets[i].id%>"
                            target="_blank">Tutorial: <%=unresolvedTickets[i].title%>
                        </a>
                        <span class="badge badge-info badge-pill"><%= unresolvedTickets[i].cnt %></span>
                    <%}%>
                </li>
                <%  } %>
            </ul>
        </details>
    </div>
<%  } %>

<%  if (locals.upcomingExams) { %>
    <%  locals.tabledata = upcomingExams; %>
    <div style="width: 70%; margin: auto;" class="mt-5 pt-5">
        <h3>Upcoming non-global exams from all courses (within a week):</h3>
        <%- include(`${locals.partialsRoot}/table`) %>
    </div>
    
<%  } %>

<%  if (locals.publicExams && locals.publicExams.rows.length > 0) { %>
    <%  locals.tabledata = publicExams; %>
    <div style="width: 90%; margin: auto;" class="mt-5">
        <h3>Public exams:</h3>
        <%- include(`${locals.partialsRoot}/table`) %>
    </div>
<%  } %>

<%  if (locals.tutorials && locals.tutorials.rows.length > 0) { %>
    <%  locals.tabledata = tutorials; %>
    <div style="width: 90%; margin: auto;" class="mt-5">
        <h3>Tutorials:</h3>
        <%- include(`${locals.partialsRoot}/table`) %>
    </div>
<%  } %>

<%  if (locals.exercises && locals.exercises.rows.length > 0) { %>
    <%  locals.tabledata = exercises; %>
    <div style="width: 90%; margin: auto;" class="mt-5">
        <h3>Exercises:</h3>
        <%- include(`${locals.partialsRoot}/table`) %>
    </div>
<%  } %>
    